#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Tue Mar 31 18:44:00 2020

@author: tim
"""

parameter_McIntyre = {
    # Ribulose-5-Phosphate isomerase
    "RU5PE_k1": 3.91e6,
    "RU5PE_k2": 438,
    "RU5PE_k3": 305,
    "RU5PE_k4": 1.49e6,
    "RU5PE_Et": 4.22e-6,
    # Ribose-5-Phosphate epimerase
    "RIB5PI_k1": 21600,
    "RIB5PI_k2": 14.2,
    "RIB5PI_k3": 33.3,
    "RIB5PI_k4": 60900,
    "RIB5PI_Et": 14.2e-6,
    # Transketolase
    "TK1_k1": 2.16e5,
    "TK1_k2": 38,
    "TK1_k3": 34,
    "TK1_k4": 1.56e5,
    "TK1_k5": 3.29e5,
    "TK1_k6": 175,
    "TK1_k7": 40,
    "TK1_k8": 4.48e4,
    "TK1_Et": 0.33e-6,
    # Transketolase
    "TK2_k1": 2.16e5,
    "TK2_k2": 38,
    "TK2_k3": 34,
    "TK2_k4": 1.56e5,
    "TK2_k5": 2.24e6,
    "TK2_k6": 175,
    "TK2_k7": 40,
    "TK2_k8": 2.13e4,
    "TK2_Et": 0.33e-6,
    # Transaldolase
    "TA_k1": 5.8e5,
    "TA_k2": 45.3,
    "TA_k3": 16.3,
    "TA_k4": 1.01e6,
    "TA_k5": 4.9e5,
    "TA_k6": 60,
    "TA_k7": 17,
    "TA_k8": 7.9e4,
    "TA_Et": 0.69e-6,
    # Triose-3-phospahte isomerase
    "TIM_k1": 3.7e7,
    "TIM_k2": 1320,
    "TIM_k3": 1.46e4,
    "TIM_k4": 1.9e7,
    "TIM_Et": 1.14e-6,
    # Aldolase
    "AL2_k1": 1.07e7,
    "AL2_k2": 233,
    "AL2_k3": 1900,
    "AL2_k4": 1.12e7,
    "AL2_k5": 70,
    "AL2_k6": 6.41e6,
    "AL2_Et": 0.37e-6,
    # Aldolase
    "AL1_k1": 8.47e6,
    "AL1_k2": 151,
    "AL1_k3": 117,
    "AL1_k4": 8.43e5,
    "AL1_k5": 70,
    "AL1_k6": 6.41e6,
    "AL1_Et": 0.37e-6,
    # Aldolase
    "MI_k1": 1.19e6,
    "MI_k2": 800,
    "MI_k3": 800,
    "MI_k4": 1.23e6,
    "MI_Et": 0.628e-9,
    # Glucose-6-Phosphate isomerase
    "GPI_k1": 3.98e7,
    "GPI_k2": 1290,
    "GPI_k3": 1550,
    "GPI_k4": 1.56e7,
    "GPI_Et": 0.2e-6,
    # Phospho
    "PM_k1": 4.2e6,
    "PM_k2": 80.9,
    "PM_k3": 242.6,
    "PM_k4": 7.2e5,
    "PM_k5": 1.3e7,
    "PM_k6": 10,
    "PM_Et": 0.178e-6,
    # UDP-Glucose
    "UDPGal1PT_k1": 7.58e5,
    "UDPGal1PT_k2": 100,
    "UDPGal1PT_k3": 150,
    "UDPGal1PT_k4": 8.75e5,
    "UDPGal1PT_k5": 3.96e5,
    "UDPGal1PT_k6": 110,
    "UDPGal1PT_k7": 113,
    "UDPGal1PT_k8": 8.73e5,
    "UDPGal1PT_Et": 0.048e-6,
}

parameter_Berthon = {
    "RU5PE_k1": 3.91e6,
    "RU5PE_k2": 438,
    "RU5PE_k3": 305,
    "RU5PE_k4": 1.49e6,
    "RU5PE_Et": 2.96e-6,
    "RIB5PI_k1": 7.24e4,
    "RIB5PI_k2": 3.138e1,
    "RIB5PI_k3": 33.3,
    "RIB5PI_k4": 8.29e4,
    "RIB5PI_Et": 6.9e-5,
    "TK1_k1": 2.16e5,
    "TK1_k2": 5.5e1,
    "TK1_k3": 7.7e1,
    "TK1_k4": 9.0e6,
    "TK1_k5": 3.95e5,
    "TK1_k6": 2.53e2,
    "TK1_k7": 7.7e1,
    "TK1_k8": 1.95e3,
    "TK1_Et": 1.7e-7,
    "TK2_k1": 2.16e5,
    "TK2_k2": 5.5e1,
    "TK2_k3": 7.7e1,
    "TK2_k4": 9.0e6,
    "TK2_k5": 8.96e7,
    "TK2_k6": 2.53e2,
    "TK2_k7": 7.7e1,
    "TK2_k8": 3.08e4,
    "TK2_Et": 1.7e-7,
    "TA_k1": 6.6e5,
    "TA_k2": 45.3,
    "TA_k3": 16.3,
    "TA_k4": 5.0e6,
    "TA_k5": 4.58e6,
    "TA_k6": 60,
    "TA_k7": 17,
    "TA_k8": 1.66e5,
    "TA_Et": 9.1e-7,
    "TIM_k1": 3.7e7,
    "TIM_k2": 1320,
    "TIM_k3": 1.46e4,
    "TIM_k4": 1.9e7,
    "TIM_Et": 7.96e-7,
    "AL2_k1": 1.07e7,
    "AL2_k2": 233,
    "AL2_k3": 1900,
    "AL2_k4": 2.8e7,
    "AL2_k5": 7.0e1,
    "AL2_k6": 6.41e6,
    "AL2_Et": 3.4e-7,
    "AL1_k1": 8.47e6,
    "AL1_k2": 151,
    "AL1_k3": 117,
    "AL1_k4": 4.05e6,
    "AL1_k5": 7.0e1,
    "AL1_k6": 6.41e6,
    "AL1_Et": 3.4e-7,
    "MI_k1": 1.19e6,
    "MI_k2": 800,
    "MI_k3": 800,
    "MI_k4": 1.23e6,
    "MI_Et": 1.7e-10,
    "GPI_k1": 3.98e7,
    "GPI_k2": 1290,
    "GPI_k3": 1550,
    "GPI_k4": 1.56e7,
    "GPI_Et": 1.4e-7,
    "PM_k1": 80.9,
    "PM_k2": 4.2e6,
    "PM_k3": 7.2e5,
    "PM_k4": 2.426e2,
    "PM_k5": 1.0e1,
    "PM_k6": 1.3e7,
    "PM_Et": 1.0e-8,
    "UDPGal1PT_k1": 7.58e5,
    "UDPGal1PT_k2": 100,
    "UDPGal1PT_k3": 150,
    "UDPGal1PT_k4": 8.75e5,
    "UDPGal1PT_k5": 3.96e5,
    "UDPGal1PT_k6": 110,
    "UDPGal1PT_k7": 113,
    "UDPGal1PT_k8": 8.73e5,
    "UDPGal1PT_Et": 3.36e-8,
}
